/*
 * The MIT License
 *
 * Copyright 2012 Massive Dynamics.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package biz.massivedynamics.aurora;

import biz.massivedynamics.aurora.runescape.Server;
import biz.massivedynamics.versioneer.version.VersionType;
import biz.massivedynamics.versioneer.version.impl.GenericVersion;
import biz.massivedynamics.versioneer.version.impl.NumericVersion;

/**
 * A utility class for Aurora
 *
 * @author Cruz Bishop
 * @version 0.0.0.2
 */
public final class Aurora {
    
    /**
     * Used to not create a new instance
     * 
     * @since 0.0.0.1
     */
    private Aurora() {}
    
    /**
     * Gets Aurora's version
     * 
     * @return The version of Aurora being used
     * @since 0.0.0.1
     */
    public static GenericVersion getServerVersion() {
        return new GenericVersion(0, 0, 0, 4, VersionType.SNAPSHOT, "EMBER");
    }
    
    /**
     * Gets the client version expected for use with Aurora
     * 
     * @return The client version
     * @since 0.0.0.1
     */
    public static NumericVersion getClientVersion() {
        return new NumericVersion(377);
    }
    
    /**
     * Called by the JVM to start Aurora
     * 
     * @param arguments Any arguments (which are ignored)
     * @since 0.0.0.2
     */
    public static void main(String[] arguments) {
        Server.getInstance().start();
    }
    
}
