/*
 * The MIT License
 *
 * Copyright 2012 Massive Dynamics.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package biz.massivedynamics.aurora.runescape.cache.exceptions;

import java.io.FileNotFoundException;

/**
 * An exception for when Index files are not found
 *
 * @author Cruz Bishop
 * @version 1.0.0.0
 */
public class IndexFileNotFoundException extends FileNotFoundException {

    /**
     * Creates a new IndexFileNotFoundException
     * 
     * @param reason The reason of the exception
     * @since 1.0.0.0
     */
    public IndexFileNotFoundException(String reason) {
        super(reason);
    }

    /**
     * Creates a new IndexFileNotFoundException
     * 
     * @since 1.0.0.0
     */
    public IndexFileNotFoundException() {
        super();
    }
    
}
