/*
 * The MIT License
 *
 * Copyright 2012 Massive Dynamics.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package biz.massivedynamics.aurora.runescape.network.netty.updateserver.jaggrab;

/**
 * A class that represents a single JagGrab request for one file
 * 
 * @author Cruz Bishop
 * @version 1.0.0.0
 */
public final class JagGrabRequest {
    
    /**
     * Creates a new JagGrab Request with the specified path
     * 
     * @param path The path to request
     * @since 1.0.0.0
     */
    public JagGrabRequest(String path) {
        this.path = path;
    }
    
    /**
     * The path being requested
     */
    private String path;
    
    /**
     * Gets the path being requested
     * 
     * @return The path
     * @since 1.0.0.0
     */
    public String getPath() {
        return this.path;
    }
    
}
