/*
 * The MIT License
 *
 * Copyright 2012 Massive Dynamics.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package biz.massivedynamics.aurora;

import biz.massivedynamics.versioneer.version.VersionType;
import biz.massivedynamics.versioneer.version.impl.GenericVersion;
import biz.massivedynamics.versioneer.version.impl.NumericVersion;
import static org.junit.Assert.assertEquals;
import org.junit.Test;

/**
 * A class that tests the Aurora utility class
 *
 * @author Cruz Bishop
 * @version 0.0.0.1
 */
public class AuroraTest {
    
    /**
     * Tests the getServerVersion method
     * 
     * @since 0.0.0.1
     */
    @Test
    public void testGetServerVersion() {
        assertEquals(Aurora.getServerVersion(), new GenericVersion(0, 0, 0, 4, VersionType.SNAPSHOT, "EMBER"));
    }
    
    /**
     * Tests the getClientVersion method
     * 
     * @since 0.0.0.1
     */
    @Test
    public void testGetClientVersion() {
        assertEquals(Aurora.getClientVersion(), new NumericVersion(377));
    }
    
}
